#!/bin/bash

##

DESKTOP_RDP=$(cat /var/log/installer/media-info | awk -F" " '{printf $1}')
echo "DESKTOP_RDP="$DESKTOP_RDP"" > /etc/linkat-xrdp-desktop

## Apply custom session in XRDP
if [ -f /etc/xrdp/startwm.sh ]; then
	mv /etc/xrdp/startwm.sh /etc/xrdp/startwm.sh.bak  > /dev/null 2>&1
fi
cp -av /usr/share/linkat/linkat-xrdp/startwm.sh /etc/xrdp/startwm.sh > /dev/null 2>&1
chmod +x /etc/xrdp/startwm.sh > /dev/null 2>&1

## Fix logout in xrdp session
if [ -f /etc/xrdp/sesman.ini ]; then
	cp -av /etc/xrdp/sesman.ini /etc/xrdp/sesman.ini.bak  > /dev/null 2>&1
	cp -av /usr/share/linkat/linkat-xrdp/sesman.ini /etc/xrdp/sesman.ini  > /dev/null 2>&1
fi

## Fix catalan keyboard in xrdp
cp -av /usr/share/linkat/linkat-xrdp/km-teclat-catala.ini /etc/xrdp/km-0000040a.ini
cp -av /usr/share/linkat/linkat-xrdp/km-teclat-catala.ini /etc/xrdp/km-00000403.ini

## Copy the correct pulseaudio module in system
if [ ! -d /var/lib/xrdp-pulseaudio-installer ]; then
	mkdir -p /var/lib/xrdp-pulseaudio-installer
fi

arch=$(uname -i)
if [ $arch == "x86_64" ]; then
	cp -av /usr/share/linkat/linkat-xrdp/modules/64/* /var/lib/xrdp-pulseaudio-installer/  > /dev/null 2>&1
else
	cp -av /usr/share/linkat/linkat-xrdp/modules/32/* /var/lib/xrdp-pulseaudio-installer/  > /dev/null 2>&1
fi

## Apply spanish keyboard in XVkbd
echo "#include \"XVkbd-spanish\"" > /etc/X11/app-defaults/XVkbd 

## Check linkat-servidor
if [ -d /usr/share/linkat/linkat-servidor ]; then
	mv /etc/xrdp/xrdp.ini /etc/xrdp/xrdp.ini.bak
	cp -av /usr/share/linkat/linkat-xrdp/xrdp.ini /etc/xrdp/
fi

## Reboot services for apply new config
service xrdp restart > /dev/null 2>&1
service xrdp-sesman restart > /dev/null 2>&1
